#!/bin/sh
echo 'name: basic-prelude
version: 0.3.4.0
id: basic-prelude-0.3.4.0-0b1092fa35c3b8862906f53e172808d5

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/snoyberg/basic-prelude
package-url:
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description: The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
             .
             So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
             .
             Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
             .
             Release history:
             .
             [0.3] Moved a number of exports from @BasicPrelude@ to @CorePrelude@ and vice-versa.
             .
             [0.2] Renamed @BasicPrelude@ to @CorePrelude@ and added a new @BasicPrelude@ module provided a full-featured @Prelude@ alternative. Also added a number of new exports.
             .
             [0.1] Initial version, code taken from @classy-prelude@ with a few minor tweaks.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules: BasicPrelude CorePrelude
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/basic-prelude-0.3.4.0
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/basic-prelude-0.3.4.0
              /usr/local/lib
hs-libraries: HSbasic-prelude-0.3.4.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ReadArgs-1.2.1-aaebb0b04b36e3a921e817aec1891758
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         hashable-1.2.0.5-1049ae1ef267f5e5664cf9f54e9a7458
         lifted-base-0.2.0.2-65026d342578be3594c04d8e1209e3d8
         system-filepath-0.4.7-9774d657c74fc0ffe56693dc0feb0214
         text-0.11.2.3-116e588a2afe9f305204001245768a0d
         transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4
         unordered-containers-0.2.3.0-eea23be98f84f4fcc4f43b6a5a4ec815
         vector-0.10.0.1-3450daae3d9f2092020075d05481123c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/basic-prelude-0.3.4.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/basic-prelude-0.3.4.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
